io.agora.rtc

## Class AudioProcessingStats

- java.lang.Object
- - io.agora.rtc.AudioProcessingStats

-     public class AudioProcessingStats
      extends java.lang.Object

  Statistics for audio processing performance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `delayMedianMs` Delay median in milliseconds
    `private int` | `delayMs` Delay in milliseconds
    `private int` | `delayStandardDeviationMs` Delay standard deviation in milliseconds
    `private double` | `divergentFilterFraction` Divergent filter fraction
    `private double` | `echoReturnLoss` Echo return loss
    `private double` | `echoReturnLossEnhancement` Echo return loss enhancement
    `private double` | `residualEchoLikelihood` Residual echo likelihood
    `private double` | `residualEchoLikelihoodRecentMax` Residual echo likelihood recent maximum

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioProcessingStats()` Default constructor for AudioProcessingStats.
    `AudioProcessingStats(double echoReturnLoss, double echoReturnLossEnhancement, double divergentFilterFraction, int delayMedianMs, int delayStandardDeviationMs, double residualEchoLikelihood, double residualEchoLikelihoodRecentMax, int delayMs)` Constructs AudioProcessingStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelayMedianMs()` Gets the delay median in milliseconds.
    `int` | `getDelayMs()` Gets the delay in milliseconds.
    `int` | `getDelayStandardDeviationMs()` Gets the delay standard deviation in milliseconds.
    `double` | `getDivergentFilterFraction()` Gets the divergent filter fraction.
    `double` | `getEchoReturnLoss()` Gets the echo return loss.
    `double` | `getEchoReturnLossEnhancement()` Gets the echo return loss enhancement.
    `double` | `getResidualEchoLikelihood()` Gets the residual echo likelihood.
    `double` | `getResidualEchoLikelihoodRecentMax()` Gets the residual echo likelihood recent maximum.
    `void` | `setDelayMedianMs(int delayMedianMs)` Sets the delay median in milliseconds.
    `void` | `setDelayMs(int delayMs)` Sets the delay in milliseconds.
    `void` | `setDelayStandardDeviationMs(int delayStandardDeviationMs)` Sets the delay standard deviation in milliseconds.
    `void` | `setDivergentFilterFraction(double divergentFilterFraction)` Sets the divergent filter fraction.
    `void` | `setEchoReturnLoss(double echoReturnLoss)` Sets the echo return loss.
    `void` | `setEchoReturnLossEnhancement(double echoReturnLossEnhancement)` Sets the echo return loss enhancement.
    `void` | `setResidualEchoLikelihood(double residualEchoLikelihood)` Sets the residual echo likelihood.
    `void` | `setResidualEchoLikelihoodRecentMax(double residualEchoLikelihoodRecentMax)` Sets the residual echo likelihood recent maximum.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### echoReturnLoss

          private double echoReturnLoss

      Echo return loss

    - #### echoReturnLossEnhancement

          private double echoReturnLossEnhancement

      Echo return loss enhancement

    - #### divergentFilterFraction

          private double divergentFilterFraction

      Divergent filter fraction

    - #### delayMedianMs

          private int delayMedianMs

      Delay median in milliseconds

    - #### delayStandardDeviationMs

          private int delayStandardDeviationMs

      Delay standard deviation in milliseconds

    - #### residualEchoLikelihood

          private double residualEchoLikelihood

      Residual echo likelihood

    - #### residualEchoLikelihoodRecentMax

          private double residualEchoLikelihoodRecentMax

      Residual echo likelihood recent maximum

    - #### delayMs

          private int delayMs

      Delay in milliseconds

  - ### Constructor Detail

    - #### AudioProcessingStats

          public AudioProcessingStats()

      Default constructor for AudioProcessingStats.

    - #### AudioProcessingStats

          public AudioProcessingStats(double echoReturnLoss,
                                      double echoReturnLossEnhancement,
                                      double divergentFilterFraction,
                                      int delayMedianMs,
                                      int delayStandardDeviationMs,
                                      double residualEchoLikelihood,
                                      double residualEchoLikelihoodRecentMax,
                                      int delayMs)

      Constructs AudioProcessingStats with all parameters.
      Parameters:
        `echoReturnLoss` - Echo return loss
        `echoReturnLossEnhancement` - Echo return loss enhancement
        `divergentFilterFraction` - Divergent filter fraction
        `delayMedianMs` - Delay median in milliseconds
        `delayStandardDeviationMs` - Delay standard deviation in milliseconds
        `residualEchoLikelihood` - Residual echo likelihood
        `residualEchoLikelihoodRecentMax` - Residual echo likelihood recent maximum
        `delayMs` - Delay in milliseconds

  - ### Method Detail

    - #### getEchoReturnLoss

          public double getEchoReturnLoss()

      Gets the echo return loss.
      Returns:
        Echo return loss

    - #### setEchoReturnLoss

          public void setEchoReturnLoss(double echoReturnLoss)

      Sets the echo return loss.
      Parameters:
        `echoReturnLoss` - Echo return loss

    - #### getEchoReturnLossEnhancement

          public double getEchoReturnLossEnhancement()

      Gets the echo return loss enhancement.
      Returns:
        Echo return loss enhancement

    - #### setEchoReturnLossEnhancement

          public void setEchoReturnLossEnhancement(double echoReturnLossEnhancement)

      Sets the echo return loss enhancement.
      Parameters:
        `echoReturnLossEnhancement` - Echo return loss enhancement

    - #### getDivergentFilterFraction

          public double getDivergentFilterFraction()

      Gets the divergent filter fraction.
      Returns:
        Divergent filter fraction

    - #### setDivergentFilterFraction

          public void setDivergentFilterFraction(double divergentFilterFraction)

      Sets the divergent filter fraction.
      Parameters:
        `divergentFilterFraction` - Divergent filter fraction

    - #### getDelayMedianMs

          public int getDelayMedianMs()

      Gets the delay median in milliseconds.
      Returns:
        Delay median in milliseconds

    - #### setDelayMedianMs

          public void setDelayMedianMs(int delayMedianMs)

      Sets the delay median in milliseconds.
      Parameters:
        `delayMedianMs` - Delay median in milliseconds

    - #### getDelayStandardDeviationMs

          public int getDelayStandardDeviationMs()

      Gets the delay standard deviation in milliseconds.
      Returns:
        Delay standard deviation in milliseconds

    - #### setDelayStandardDeviationMs

          public void setDelayStandardDeviationMs(int delayStandardDeviationMs)

      Sets the delay standard deviation in milliseconds.
      Parameters:
        `delayStandardDeviationMs` - Delay standard deviation in milliseconds

    - #### getResidualEchoLikelihood

          public double getResidualEchoLikelihood()

      Gets the residual echo likelihood.
      Returns:
        Residual echo likelihood

    - #### setResidualEchoLikelihood

          public void setResidualEchoLikelihood(double residualEchoLikelihood)

      Sets the residual echo likelihood.
      Parameters:
        `residualEchoLikelihood` - Residual echo likelihood

    - #### getResidualEchoLikelihoodRecentMax

          public double getResidualEchoLikelihoodRecentMax()

      Gets the residual echo likelihood recent maximum.
      Returns:
        Residual echo likelihood recent maximum

    - #### setResidualEchoLikelihoodRecentMax

          public void setResidualEchoLikelihoodRecentMax(double residualEchoLikelihoodRecentMax)

      Sets the residual echo likelihood recent maximum.
      Parameters:
        `residualEchoLikelihoodRecentMax` - Residual echo likelihood recent maximum

    - #### getDelayMs

          public int getDelayMs()

      Gets the delay in milliseconds.
      Returns:
        Delay in milliseconds

    - #### setDelayMs

          public void setDelayMs(int delayMs)

      Sets the delay in milliseconds.
      Parameters:
        `delayMs` - Delay in milliseconds